Get a product
curl --request POST \
--url https://api.metronome.com/v1/contract-pricing/products/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "d84e7f4e-7a70-4fe4-be02-7a5027beffcc"
}
'import requests
url = "https://api.metronome.com/v1/contract-pricing/products/get"
payload = { "id": "d84e7f4e-7a70-4fe4-be02-7a5027beffcc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'd84e7f4e-7a70-4fe4-be02-7a5027beffcc'})
};
fetch('https://api.metronome.com/v1/contract-pricing/products/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "9c9a4a71-171e-41f9-b8da-d982baf1a388",
"type": "COMPOSITE",
"initial": {
"name": "My Composite Product",
"starting_at": "2020-01-01T00:00:00.000Z",
"composite_product_ids": [
"e5e40bc7-ef69-42ec-a77e-cd696f6bfa3d"
],
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob"
},
"current": {
"name": "My Updated Composite Product Name",
"starting_at": "2020-01-01T00:00:00.000Z",
"composite_product_ids": [
"e5e40bc7-ef69-42ec-a77e-cd696f6bfa3d"
],
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob"
},
"updates": [
{
"name": "My Updated Composite Product Name",
"starting_at": "2020-02-01T00:00:00.000Z",
"created_at": "2019-12-30T09:24:55.123Z",
"created_by": "Alice"
}
],
"custom_fields": {
"x_account_id": "KyVnHhSBWl7eY2bl"
}
}
}{
"message": "<string>"
}Product
Get a product
Retrieve a product by its ID, including all metadata and historical changes.
POST
/
v1
/
contract-pricing
/
products
/
get
Get a product
⌘I